<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning|Discovery Scans">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn more about the scan data types that you can import into Metasploit." /><title>Supported Scan Data Types</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/supported-scan-data-types.html">Open topic with navigation</a>
        </p>
        <h2>Supported Scan Data Types</h2>
        <p><span class="VariablesProductName">Metasploit Pro</span> supports the import of <a name="kanchor51"></a>scan data from vulnerability analysis tools, like Nexpose, other penetration testing tools, like Core Impact, and non-vulnerability analysis products, like PWDump files. If you want to use the scan data in your penetration test, you can import the reports or scan data files into Metasploit Pro.</p>
        <p>Metasploit Pro supports the following formats:</p>
        <ul>
            <li value="1">Metasploit <a name="kanchor52"></a>PWDump Export</li>
            <li value="2">Metasploit Export XML </li>
            <li value="3">Metasploit Export ZIP </li>
            <li value="4"><a name="kanchor53"></a><a name="kanchor54"></a>NeXpose XML or XML 2.0</li>
            <li value="5"><a name="kanchor55"></a>NeXpose Raw XML or XML Export</li>
            <li value="6"><a name="kanchor56"></a>Foundstone Network Inventory XML</li>
            <li value="7"><a name="kanchor57"></a>Microsoft MBSA SecScan XML</li>
            <li value="8"><a name="kanchor58"></a>nCircle IP360 (XMLv3 and ASPL)</li>
            <li value="9"><a name="kanchor59"></a>NetSparker XML</li>
            <li value="10"><a name="kanchor60"></a>Nessus NBE</li>
            <li value="11"><a name="kanchor61"></a>Nessus XML (v1 and v2)</li>
            <li value="12"><a name="kanchor62"></a>Qualys Asset XML</li>
            <li value="13"><a name="kanchor63"></a>Qualys Scan XML</li>
            <li value="14"><a name="kanchor64"></a>Burp Session XML</li>
            <li value="15"><a name="kanchor65"></a>Acunetix XML</li>
            <li value="16"><a name="kanchor66"></a>AppScan XML</li>
            <li value="17"><a name="kanchor67"></a>Nmap XML</li>
            <li value="18"><a name="kanchor68"></a>Retina XML</li>
            <li value="19"><a name="kanchor69"></a>Amap Log</li>
            <li value="20">IP Address List</li>
            <li value="21"><a name="kanchor70"></a>Libpcap Network Capture</li>
            <li value="22"><a name="kanchor71"></a>Spiceworks Inventory Summary CSV</li>
            <li value="23"><a name="kanchor72"></a>Core Impact XML</li>
        </ul>
        <p>Raw XML is only available in commercial editions of Nexpose and includes additional vulnerability information.</p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Metasploit Pro does not import service and port information from Qualys Asset files. If you import a Qualys Asset file, you must run a discovery scan to enumerate services and ports that are active on the imported hosts.</p>
    </body>
</html>